<?
session_name('portal_absa');
session_start();
if(!isset($_SESSION['usuario_p_prov_absa']) || trim($_SESSION['usuario_p_prov_absa']) == "" || trim(strtoupper($_SESSION["URL_PORTAL"]."admin.php")) != trim(strtoupper($_SERVER['HTTP_REFERER']))){
	?><script>window.location.href="<?=$_SESSION["URL_PORTAL"]."index.php"?>"</script><?
	exit;
}
include("../extras/validaMontosCompensacion.php");

$tC = validaCompensacionGenerada($uuidEgreso,$uuidIngreso);

if($tC != 0){
	if($tC["automatico"] == "1"){
		?><script>$j_6.messager.alert("Error","No es posible actualizar una compensaci&oacute;n generada automaticamente.","error");</script><?exit;
	}
}


$query="insert into recibedoce_compensacion set automatico='0',uuid_padre='$uuidIngreso',uuid_hijo='$uuidEgreso',
monto_enmoneda_padre=".$_REQUEST["monto_enmoneda_padre"].",monto_enmoneda_hijo=".$_REQUEST["monto_enmoneda_hijo"].",tipocambio_padre=".$_REQUEST["tipoCambioPadre"].",
tipocambio_Hijo=".$_REQUEST["tipoCambioHijo"]." ON DUPLICATE KEY UPDATE monto_enmoneda_padre=".$_REQUEST["monto_enmoneda_padre"].",monto_enmoneda_hijo=".$_REQUEST["monto_enmoneda_hijo"].",tipocambio_padre=".$_REQUEST["tipoCambioPadre"].",
tipocambio_Hijo=".$_REQUEST["tipoCambioHijo"];

if(!mysqli_query($conexion->CONEXION,$query)){
	?><script>
	$j_6.messager.alert("Error.","<?=mysqli_real_escape_string($conexion->CONEXION,mysqli_error($conexion->CONEXION))?>Ocurrio un error. Intente nuevamente.","error");
	</script><?
	exit;
}

setBitacora($conexion, $_SESSION['usuario_p_prov_absa'], $_SESSION['rfc_cliente_p_prov_absa'], "INSERT", "tabla recibedoce_compensacion: alta compensacion.", $query);

?><script>
$j_6.messager.alert("Informacion.","Se ha guardado correctamente la informaci&oacute;n.","info");
</script><?
//if(round($montoTotalACompensarEgreso,1,PHP_ROUND_HALF_UP) == round($tEgresoIngreso["total"],1,PHP_ROUND_HALF_UP)){
if($montoTotalACompensarEgreso == $tEgresoIngreso["total"]){
	$statusCompensada=1;
}else{
	$statusCompensada=0;
}

$queryCompensadaEgreso = "update recibedoce set status_compensada='$statusCompensada' where uuid='$uuidEgreso'";
if(!mysqli_query($conexion->CONEXION,$queryCompensadaEgreso)){
	/*?><script>
	$j_6.messager.alert("Error.","Ocurrio un error. Intente nuevamente.","error");
	</script><?
	exit;*/
}
//if(round($montoTotalAAplicarIngreso,1,PHP_ROUND_HALF_UP) == round($totalRealAPagarIngreso,1,PHP_ROUND_HALF_UP)){
if($montoTotalAAplicarIngreso == $totalRealAPagarIngreso){
	$statusPagada=1;
}else{
	$statusPagada=0;
}
$queryPagada = "update recibedoce set status_pagada='$statusPagada' where uuid='$uuidIngreso'";
if(!mysqli_query($conexion->CONEXION,$queryPagada)){
	/*?><script>
	$j_6.messager.alert("Error.","Ocurrio un error. Intente nuevamente.","error");
	</script><?
	exit;*/
}

function validaCompensacionGenerada($uuidEgreso,$uuidIngreso){
	global $conexion;
	$q="select automatico from recibedoce_compensacion where uuid_padre='$uuidIngreso' and uuid_hijo='$uuidEgreso'";
	if(!$r = mysqli_query($conexion->CONEXION,$q)){
		?><script>$j_6.messager.alert("Error.","Ocurrio un error al consultar las compensaciones del egreso. Intente nuevamente.","error");</script><?exit;
	}
	if(mysqli_num_rows($r) > 0){
		$tmp = mysqli_fetch_assoc($r);
		return $tmp;
	}
	return 0;
}
?>